import { createElement } from 'react';

var styles = {"test":"_3ybTi"};

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

function action(type, payload) {
  if (payload === void 0) {
    payload = {};
  }

  return _extends({
    type: type
  }, payload);
}
function createRequestType(base) {
  return {
    REQUEST: base + "_REQUEST",
    SUCCESS: base + "_SUCCESS",
    FAILURE: base + "_FAILURE",
    LOADMORE: base + "_LOADMORE",
    CANCEL: base + "_CANCEL",
    CLEAR: base + "_CLEAR"
  };
}

var GET_MONITOR_ID = createRequestType('GET_MONITOR_ID');
var GET_MONITOR_TOKEN = createRequestType('GET_MONITOR_TOKEN');
var GET_MONITOR_CONFIG = createRequestType('GET_MONITOR_CONFIG');
var GET_MONITOR_LIST = createRequestType('GET_MONITOR_LIST');
var SET_MONITOR = createRequestType('SET_MONITOR');

var GET_PATIENT_NOTIFY_LIST = createRequestType('PT_NOTIFY_LIST');
var GET_PATIENT_NOTIFY_HISTORY = createRequestType('GET_PT_NOTIFY_HISTORY');
var GET_PATIENT_NOTIFY_BADGE = createRequestType('G_PT_NOTIFY_BADGE');
var SET_NOTIFY_READED = createRequestType('SET_NOTIFY_READED');
var GET_NOTIFICATION_LIST = createRequestType('GET_NOTIFICATION_LIST');

var GLOBAL_COLLAPSED = 'global/COLLAPSED';
var GLOBAL_INPATIENT_TABLE_STYLE = 'global/INPATIENT_TABLE_STYLE';
var ENQUEUE_SNACKBAR = 'ENQUEUE_SNACKBAR';
var CLOSE_SNACKBAR = 'CLOSE_SNACKBAR';
var REMOVE_SNACKBAR = 'REMOVE_SNACKBAR';
var FETCH_INIT_WARD = createRequestType('FETCH_INIT_WARD');
var SET_USER_DEFAULT_WARD = createRequestType('SET_USER_DEFAULT_WARD');
var SIDEKICK = 'SIDEKICK';
var LOGOUT = 'LOGOUT';
var LOGIN = createRequestType('LOGIN');
var GET_PATIENT_OWNER = createRequestType('GET_PATIENT_OWNER');
var GET_PATIENT_STANDING = createRequestType('GET_PATIENT_STANDING');
var ADD_TO_DESK = createRequestType('ADD_TO_DESK');
var GET_PATIENT_HEALTH = createRequestType('GET_PATIENT_HEALTH');
var ADD_NEW_FOCUS = createRequestType('ADD_NEW_FOCUS');
var ADD_NEW_VITALSIGN = createRequestType('ADD_NEW_VITALSIGN');
var MOVE_FOCUS_SECTION = createRequestType('MOVE_FOCUS_SECTION');
var ACTIVE_PROBLEM = createRequestType('ACTIVE_PROBLEM');
var RESOLVE_PROBLEM = createRequestType('RESOLVE_PROBLEM');
var RESOLVE_FOCUS = createRequestType('RESOLVE_FOCUS');
var REOPEN_FOCUS = createRequestType('REOPEN_FOCUS');
var GET_PATIENT_PHYSICAL_HISTORY = createRequestType('GET_PATIENT_PHYSICAL_HISTORY');
var ADD_PATIENT_PHYSICAL = createRequestType('ADD_PATIENT_PHYSICAL');
var FETCH_HISTORY_PROBLEM = createRequestType('FETCH_HISTORY_PROBLEM');
var UPDATE_PATIENT_FOCUS = createRequestType('UPDATE_PATIENT_FOCUS');
var FETCH_PATIENT_FOCUS_BY_ID = createRequestType('GET_PATIENT_FOCUS_BY_ID');
var GET_FOCUS_HISTORY_BY_ID = createRequestType('GET_FOCUS_HISTORY_BY_ID');
var FETCH_PATIENT_FOCUS_LIST_BY_PERIOD = createRequestType('FETCH_FOCUS_LIST_BY_PERIOD');
var FETCH_VITAL_SIGN_BY_PERIOD = createRequestType('FETCH_VITAL_SIGN_BY_PERIOD');
var NN_LOOKUP_DIAGGROUP = createRequestType('NN_LOOKUP_DIAGGROUP');
var NN_LOOKUP_DIAG_ITEMS = createRequestType('NN_LOOKUP_DIAG_ITEMS');
var NN_LOOKUP_PROBLEM_LIST = createRequestType('NN_LOOKUP_PROBLEM_LIST');
var NN_LOOKUP_GOAL_ITEMS = createRequestType('NN_LOOKUP_GOAL_ITEMS');
var NN_LOOKUP_ASSESSMENT = createRequestType('NN_LOOKUP_ASSESSMENT');
var GET_FOCUS_ITEMS_INFO = createRequestType('GET_FOCUS_ITEMS_INFO');
var UPDATE_DIAGGROUP = createRequestType('UPDATE_DIAGGROUP');
var UPDATE_DIAGITEMS = createRequestType('UPDATE_DIAGITEMS');
var UPDATE_FOCUS_ITEMS = createRequestType('UPDATE_FOCUS_ITEMS');
var NEW_GOALITEM = createRequestType('NEW_GOALITEM');
var UPDATE_GOALITEM = createRequestType('UPDATE_GOALITEM');
var QUICK_ADD_GOALITEM = createRequestType('QUICK_ADD_GOALITEM');
var NEW_ASSESSMENT = createRequestType('NEW_ASSESSMENT');
var UPDATE_ASSESSMENT = createRequestType('UPDATE_ASSESSMENT');
var QUICK_ADD_ASSESSMENT = createRequestType('QUICK_ADD_ASSESSMENT');
var NEW_INTERVENTION = createRequestType('NEW_INTERVENTION');
var UPDATE_INTERVENTION = createRequestType('UPDATE_INTERVENTION');
var QUICK_ADD_INTERVENTION = createRequestType('QUICK_ADD_INTERVENTION');
var NEW_EVALUATION = createRequestType('NEW_EVALUATION');
var UPDATE_EVALUATION = createRequestType('UPDATE_EVALUATION');
var QUICK_ADD_EVALUATION = createRequestType('QUICK_ADD_EVALUATION');
var NN_LOOKUP_INTERVENTION_LIST = createRequestType('NN_LOOKUP_INTERVENTION_LIST');
var NN_LOOKUP_EVALUATION_LIST = createRequestType('NN_LOOKUP_EVALUATION_LIST');
var FETCH_DTX_LIST = createRequestType('FETCH_DTX_LIST');
var FETCH_DTX_HISTORY = createRequestType('FETCH_DTX_HISTORY');
var ADD_NEW_DTX = createRequestType('ADD_NEW_DTX');
var GET_INITIAL_IO = createRequestType('GET_INITIAL_IO');
var GET_CUSTOM_INTAKE_LIST = createRequestType('GET_CUSTOM_INTAKE_LIST');
var ADD_CUSTOM_INTAKE_ITEM = createRequestType('ADD_CUSTOM_INTAKE_ITEM');
var GET_CUSTOM_OUTPUT_LIST = createRequestType('GET_CUSTOM_OUTPUT_LIST');
var ADD_CUSTOM_OUTPUT_ITEM = createRequestType('ADD_CUSTOM_OUTPUT_ITEM');
var GET_CUSTOM_EXCRETE_LIST = createRequestType('GET_CUSTOM_EXCRETE_LIST');
var ADD_CUSTOM_EXCRETE_ITEM = createRequestType('ADD_CUSTOM_EXCRETE_ITEM');
var FETCH_IO_LIST = createRequestType('FETCH_IO_LIST');
var FETCH_IO_HISTORY = createRequestType('FETCH_IO_HISTORY');
var ADD_NEW_IO = createRequestType('ADD_NEW_IO');
var GET_MEDICATION_PROFILE = createRequestType('GET_MEDICATION_PROFILE');
var GET_MEDICATION_PROFILE_STAT = createRequestType('GET_MEDICATION_PROFILE_STAT');
var GET_MEDICATION_DISPENSING = createRequestType('GET_MEDICATION_DISPENSING');
var DISPENSE_MEDICATION = createRequestType('DISPENSE_MEDICATION');
var REMOVE_MED_DISPENSED = createRequestType('REMOVE_MED_DISPENSED');
var GET_MEDPLAN_DETAIL = createRequestType('GET_MEDPLAN_DETAIL');
var CHANGE_MEDPLAN_INTERVAL = createRequestType('CHANGE_MEDPLAN_INTERVAL');
var QUICK_SET_MEDPLAN_INTERVAL = createRequestType('QUICK_SET_MEDPLAN_INTERVAL');
var QUICK_REMOVE_MEDPLAN_INTERVAL = createRequestType('QUICK_REMOVE_MEDPLAN_INTERVAL');

var index = {
  __proto__: null,
  GLOBAL_COLLAPSED: GLOBAL_COLLAPSED,
  GLOBAL_INPATIENT_TABLE_STYLE: GLOBAL_INPATIENT_TABLE_STYLE,
  ENQUEUE_SNACKBAR: ENQUEUE_SNACKBAR,
  CLOSE_SNACKBAR: CLOSE_SNACKBAR,
  REMOVE_SNACKBAR: REMOVE_SNACKBAR,
  FETCH_INIT_WARD: FETCH_INIT_WARD,
  SET_USER_DEFAULT_WARD: SET_USER_DEFAULT_WARD,
  SIDEKICK: SIDEKICK,
  LOGOUT: LOGOUT,
  LOGIN: LOGIN,
  GET_PATIENT_OWNER: GET_PATIENT_OWNER,
  GET_PATIENT_STANDING: GET_PATIENT_STANDING,
  ADD_TO_DESK: ADD_TO_DESK,
  GET_PATIENT_HEALTH: GET_PATIENT_HEALTH,
  ADD_NEW_FOCUS: ADD_NEW_FOCUS,
  ADD_NEW_VITALSIGN: ADD_NEW_VITALSIGN,
  MOVE_FOCUS_SECTION: MOVE_FOCUS_SECTION,
  ACTIVE_PROBLEM: ACTIVE_PROBLEM,
  RESOLVE_PROBLEM: RESOLVE_PROBLEM,
  RESOLVE_FOCUS: RESOLVE_FOCUS,
  REOPEN_FOCUS: REOPEN_FOCUS,
  GET_PATIENT_PHYSICAL_HISTORY: GET_PATIENT_PHYSICAL_HISTORY,
  ADD_PATIENT_PHYSICAL: ADD_PATIENT_PHYSICAL,
  FETCH_HISTORY_PROBLEM: FETCH_HISTORY_PROBLEM,
  UPDATE_PATIENT_FOCUS: UPDATE_PATIENT_FOCUS,
  FETCH_PATIENT_FOCUS_BY_ID: FETCH_PATIENT_FOCUS_BY_ID,
  GET_FOCUS_HISTORY_BY_ID: GET_FOCUS_HISTORY_BY_ID,
  FETCH_PATIENT_FOCUS_LIST_BY_PERIOD: FETCH_PATIENT_FOCUS_LIST_BY_PERIOD,
  FETCH_VITAL_SIGN_BY_PERIOD: FETCH_VITAL_SIGN_BY_PERIOD,
  NN_LOOKUP_DIAGGROUP: NN_LOOKUP_DIAGGROUP,
  NN_LOOKUP_DIAG_ITEMS: NN_LOOKUP_DIAG_ITEMS,
  NN_LOOKUP_PROBLEM_LIST: NN_LOOKUP_PROBLEM_LIST,
  NN_LOOKUP_GOAL_ITEMS: NN_LOOKUP_GOAL_ITEMS,
  NN_LOOKUP_ASSESSMENT: NN_LOOKUP_ASSESSMENT,
  GET_FOCUS_ITEMS_INFO: GET_FOCUS_ITEMS_INFO,
  UPDATE_DIAGGROUP: UPDATE_DIAGGROUP,
  UPDATE_DIAGITEMS: UPDATE_DIAGITEMS,
  UPDATE_FOCUS_ITEMS: UPDATE_FOCUS_ITEMS,
  NEW_GOALITEM: NEW_GOALITEM,
  UPDATE_GOALITEM: UPDATE_GOALITEM,
  QUICK_ADD_GOALITEM: QUICK_ADD_GOALITEM,
  NEW_ASSESSMENT: NEW_ASSESSMENT,
  UPDATE_ASSESSMENT: UPDATE_ASSESSMENT,
  QUICK_ADD_ASSESSMENT: QUICK_ADD_ASSESSMENT,
  NEW_INTERVENTION: NEW_INTERVENTION,
  UPDATE_INTERVENTION: UPDATE_INTERVENTION,
  QUICK_ADD_INTERVENTION: QUICK_ADD_INTERVENTION,
  NEW_EVALUATION: NEW_EVALUATION,
  UPDATE_EVALUATION: UPDATE_EVALUATION,
  QUICK_ADD_EVALUATION: QUICK_ADD_EVALUATION,
  NN_LOOKUP_INTERVENTION_LIST: NN_LOOKUP_INTERVENTION_LIST,
  NN_LOOKUP_EVALUATION_LIST: NN_LOOKUP_EVALUATION_LIST,
  FETCH_DTX_LIST: FETCH_DTX_LIST,
  FETCH_DTX_HISTORY: FETCH_DTX_HISTORY,
  ADD_NEW_DTX: ADD_NEW_DTX,
  GET_INITIAL_IO: GET_INITIAL_IO,
  GET_CUSTOM_INTAKE_LIST: GET_CUSTOM_INTAKE_LIST,
  ADD_CUSTOM_INTAKE_ITEM: ADD_CUSTOM_INTAKE_ITEM,
  GET_CUSTOM_OUTPUT_LIST: GET_CUSTOM_OUTPUT_LIST,
  ADD_CUSTOM_OUTPUT_ITEM: ADD_CUSTOM_OUTPUT_ITEM,
  GET_CUSTOM_EXCRETE_LIST: GET_CUSTOM_EXCRETE_LIST,
  ADD_CUSTOM_EXCRETE_ITEM: ADD_CUSTOM_EXCRETE_ITEM,
  FETCH_IO_LIST: FETCH_IO_LIST,
  FETCH_IO_HISTORY: FETCH_IO_HISTORY,
  ADD_NEW_IO: ADD_NEW_IO,
  GET_MEDICATION_PROFILE: GET_MEDICATION_PROFILE,
  GET_MEDICATION_PROFILE_STAT: GET_MEDICATION_PROFILE_STAT,
  GET_MEDICATION_DISPENSING: GET_MEDICATION_DISPENSING,
  DISPENSE_MEDICATION: DISPENSE_MEDICATION,
  REMOVE_MED_DISPENSED: REMOVE_MED_DISPENSED,
  GET_MEDPLAN_DETAIL: GET_MEDPLAN_DETAIL,
  CHANGE_MEDPLAN_INTERVAL: CHANGE_MEDPLAN_INTERVAL,
  QUICK_SET_MEDPLAN_INTERVAL: QUICK_SET_MEDPLAN_INTERVAL,
  QUICK_REMOVE_MEDPLAN_INTERVAL: QUICK_REMOVE_MEDPLAN_INTERVAL,
  GET_MONITOR_ID: GET_MONITOR_ID,
  GET_MONITOR_TOKEN: GET_MONITOR_TOKEN,
  GET_MONITOR_CONFIG: GET_MONITOR_CONFIG,
  GET_MONITOR_LIST: GET_MONITOR_LIST,
  SET_MONITOR: SET_MONITOR,
  GET_PATIENT_NOTIFY_LIST: GET_PATIENT_NOTIFY_LIST,
  GET_NOTIFICATION_LIST: GET_NOTIFICATION_LIST,
  GET_PATIENT_NOTIFY_BADGE: GET_PATIENT_NOTIFY_BADGE,
  GET_PATIENT_NOTIFY_HISTORY: GET_PATIENT_NOTIFY_HISTORY,
  SET_NOTIFY_READED: SET_NOTIFY_READED
};

var ExampleComponent = function ExampleComponent(_ref) {
  var text = _ref.text;
  return createElement("div", {
    className: styles.test
  }, "XXX Component: ", text);
};
var XExampleComponent = function XExampleComponent(_ref2) {
  var text = _ref2.text;
  return createElement("div", {
    className: styles.test
  }, "XExample Component: ", text);
};
var ABCComponent = function ABCComponent(_ref3) {
  var text = _ref3.text;
  return createElement("div", {
    className: styles.test
  }, "TEST XExample Component: ", text);
};

export { ABCComponent, index as ActionConst, ExampleComponent, XExampleComponent, action, createRequestType };
//# sourceMappingURL=index.modern.js.map
