import { FocusItem as focusItem, FocusItemRequest as focusItemRequest, FocusInfoRequest as focusInfoRequest } from './focus';
import { VitalSignNoteItemRequest as vitalSignNoteItemRequest } from './vitalsign';
import { InterventionItemsLookupRequest as interventionItemsLookupRequest } from './intervention';
import { EvaluationItemsLookupRequest as evaluationItemsLookupRequest } from './evaluation';
export declare type FocusItem = focusItem;
export declare type FocusInfoRequest = focusInfoRequest;
export declare type FocusItemRequest = focusItemRequest;
export declare type VitalSignNoteItemRequest = vitalSignNoteItemRequest;
export declare type InterventionItemsLookupRequest = interventionItemsLookupRequest;
export declare type EvaluationItemsLookupRequest = evaluationItemsLookupRequest;
export interface VitalSign {
    id: number;
    time: string;
    temp: number;
    bps: number;
    bpd: number;
    pulse: number;
    rr: number;
    map: number;
    pain: number;
    intake: number;
    output: number;
    oxygensat: number;
}
export interface NursingNoteItem {
    id: string | null;
    text: string;
    is_new?: boolean;
    item_id?: number | null;
    problem_list_id?: number;
    readonly?: boolean;
    created_at?: Date;
}
export interface NursingNoteAssessment extends NursingNoteItem {
}
export interface NursingNoteIntervention extends NursingNoteItem {
}
export interface NursingNoteEvaluation extends NursingNoteItem {
}
